diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index a4fb558..30f0835 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -71242,7 +71242,8 @@ ParametricSurface(ComponentFunction): Exports == Implementation where
 )set message test on
 )set message auto off
 )clear all
---S 1 of 10
+
+--S 1 of 22
 partialFraction(1,factorial 10)
 --R 
 --R
@@ -71253,7 +71254,7 @@ partialFraction(1,factorial 10)
 --R                                                Type: PartialFraction Integer
 --E 1
 
---S 2 of 10
+--S 2 of 22
 f := padicFraction(%)
 --R 
 --R
@@ -71264,7 +71265,7 @@ f := padicFraction(%)
 --R                                                Type: PartialFraction Integer
 --E 2
 
---S 3 of 10
+--S 3 of 22
 compactFraction(f)
 --R 
 --R
@@ -71275,7 +71276,7 @@ compactFraction(f)
 --R                                                Type: PartialFraction Integer
 --E 3
 
---S 4 of 10
+--S 4 of 22
 numberOfFractionalTerms(f)
 --R 
 --R
@@ -71283,7 +71284,7 @@ numberOfFractionalTerms(f)
 --R                                                        Type: PositiveInteger
 --E 4
 
---S 5 of 10
+--S 5 of 22
 nthFractionalTerm(f,3)
 --R 
 --R
@@ -71294,7 +71295,7 @@ nthFractionalTerm(f,3)
 --R                                                Type: PartialFraction Integer
 --E 5
 
---S 6 of 10
+--S 6 of 22
 partialFraction(1,- 13 + 14 * %i)
 --R 
 --R
@@ -71304,7 +71305,7 @@ partialFraction(1,- 13 + 14 * %i)
 --R                                        Type: PartialFraction Complex Integer
 --E 6
 
---S 7 of 10
+--S 7 of 22
 % :: Fraction Complex Integer
 --R 
 --R
@@ -71314,7 +71315,7 @@ partialFraction(1,- 13 + 14 * %i)
 --R                                               Type: Fraction Complex Integer
 --E 7
 
---S 8 of 10
+--S 8 of 22
 u : FR UP(x, FRAC INT) := reduce(*,[primeFactor(x+i,i) for i in 1..4])
 --R 
 --R
@@ -71323,7 +71324,7 @@ u : FR UP(x, FRAC INT) := reduce(*,[primeFactor(x+i,i) for i in 1..4])
 --R                      Type: Factored UnivariatePolynomial(x,Fraction Integer)
 --E 8
 
---S 9 of 10
+--S 9 of 22
 partialFraction(1,u)
 --R 
 --R
@@ -71337,7 +71338,7 @@ partialFraction(1,u)
 --R               Type: PartialFraction UnivariatePolynomial(x,Fraction Integer)
 --E 9
 
---S 10 of 10
+--S 10 of 22
 padicFraction %
 --R 
 --R
@@ -71357,6 +71358,117 @@ padicFraction %
 --R     (x + 4)    (x + 4)
 --R               Type: PartialFraction UnivariatePolynomial(x,Fraction Integer)
 --E 10
+
+--S 11 of 22
+fraction:=Fraction(Polynomial(Integer))
+--R 
+--R
+--R   (11)  Fraction Polynomial Integer
+--R                                                                 Type: Domain
+--E 11
+
+--S 12 of 22
+up:=UnivariatePolynomial(y,fraction)
+--R 
+--R
+--R   (12)  UnivariatePolynomial(y,Fraction Polynomial Integer)
+--R                                                                 Type: Domain
+--E 12
+
+--S 13 of 22
+pfup:=PartialFraction(up)
+--R 
+--R
+--R   (13)  PartialFraction UnivariatePolynomial(y,Fraction Polynomial Integer)
+--R                                                                 Type: Domain
+--E 13
+
+--S 14 of 22
+a:=x+1/(y+1)
+--R 
+--R
+--R         x y + x + 1
+--R   (14)  -----------
+--R            y + 1
+--R                                            Type: Fraction Polynomial Integer
+--E 14
+
+--S 15 of 22
+b:=partialFraction(a,y)$PartialFractionPackage(Integer)
+--R 
+--R
+--R               1
+--R   (15)  x + -----
+--R             y + 1
+--R    Type: PartialFraction UnivariatePolynomial(y,Fraction Polynomial Integer)
+--E 15
+
+--S 16 of 22
+c:=b::pfup
+--R 
+--R
+--R               1
+--R   (16)  x + -----
+--R             y + 1
+--R    Type: PartialFraction UnivariatePolynomial(y,Fraction Polynomial Integer)
+--E 16
+
+--S 17 of 22
+cw:=(wholePart c)::Expression(Integer)
+--R 
+--R
+--R   (17)  x
+--R                                                     Type: Expression Integer
+--E 17
+
+--S 18 of 22
+m:=numberOfFractionalTerms(c)
+--R 
+--R
+--R   (18)  1
+--R                                                        Type: PositiveInteger
+--E 18
+
+--S 19 of 22
+crList:=[nthFractionalTerm(c,i) for i in 1..m]
+--R 
+--R
+--R            1
+--R   (19)  [-----]
+--R          y + 1
+--RType: List PartialFraction UnivariatePolynomial(y,Fraction Polynomial Integer)
+--E 19
+
+--S 20 of 22
+cc:=reduce(+,crList)
+--R 
+--R
+--R           1
+--R   (20)  -----
+--R         y + 1
+--R    Type: PartialFraction UnivariatePolynomial(y,Fraction Polynomial Integer)
+--E 20
+
+--S 21 of 22
+ccx:=cc::(Fraction(up))::(Expression(Integer))
+--R 
+--R
+--R           1
+--R   (21)  -----
+--R         y + 1
+--R                                                     Type: Expression Integer
+--E 21
+
+--S 22 of 22
+sin(cw)*cos(ccx)+sin(ccx)*cos(cw)
+--R 
+--R
+--R               1                        1
+--R   (22)  cos(-----)sin(x) + cos(x)sin(-----)
+--R             y + 1                    y + 1
+--R                                                     Type: Expression Integer
+--E 22
+
 )spool
 )lisp (bye)
 @
diff --git a/changelog b/changelog
index e096256..2ebe8cc 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20091030 tpd src/axiom-website/patches.html 20091030.05.tpd.patch
+20091030 tpd books/bookvol10.3 more PartialFraction documentation
 20091030 tpd src/axiom-website/patches.html 20091030.04.tpd.patch
 20091030 tpd books/bookvol10.3 partial fix OrderedFreeMonoid
 20091030 tpd src/axiom-website/patches.html 20091030.03.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 208e80a..79a6efd 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2205,5 +2205,7 @@ books/bookvol10.3 document OrderedFreeMonoid<br/>
 books/bookvol10.4 document PartialFractionPackage<br/>
 <a href="patches/20091030.04.tpd.patch">20091030.04.tpd.patch</a>
 books/bookvol10.3 partial fix OrderedFreeMonoid<br/>
+<a href="patches/20091030.05.tpd.patch">20091030.05.tpd.patch</a>
+books/bookvol10.3 more PartialFraction documentation<br/>
  </body>
 </html>
